<div fxLayout="row wrap">
  <div fxFlex.gt-sm="100" fxFlex="100">
    <mat-card>
      <mat-card-content>
        <!-- ============================================================== -->
        <!-- column -->
        <!-- basic-form ============================================================== -->
        <mat-slide-toggle [(ngModel)]="activo"> {{activo?'Activo':'Inactivo'}}</mat-slide-toggle>
        <form #editForm="ngForm" [ngClass]="{'was-validated': formValid!==null}" fxLayout="row wrap"
          fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
          <!-- column -->
         
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <input matInput placeholder="Código" [(ngModel)]="item.codigo" name="codigo" #codigo="ngModel">
          </mat-form-field>
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <input matInput placeholder="Nombre" [(ngModel)]="item.nombre" name="nombre" #nombre="ngModel">
          </mat-form-field>
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <input matInput placeholder="Grupo" [(ngModel)]="item.grupo" name="grupo" #grupo="ngModel">
          </mat-form-field>
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <input matInput placeholder="URL Foto" [(ngModel)]="item.fotoNombre" name="fotoNombre" type="url"
              #fotoNombre="ngModel">
          </mat-form-field>
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <input matInput placeholder="Orden" [(ngModel)]="item.orden" name="orden" #orden="ngModel" type="number">
          </mat-form-field>
        </form>
      </mat-card-content>
    </mat-card>
    <app-toolbar-button>
      <button mat-raised-button color="primary" (click)="save(editForm.valid!, item)">
        <mat-icon>save</mat-icon>Guardar
      </button>
      <button mat-raised-button color="secondary" (click)="goBack()">
        <mat-icon>keyboard_arrow_left</mat-icon>Regresar
      </button>
    </app-toolbar-button>
  </div>
</div>